Bug 104901 - Konqueror ignores cache-control: max-age
Summary: Konqueror ignores cache-control: max-age
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Unclassified
Component: http (show other bugs)
Version: unspecified
Platform: Slackware Packages Linux
: NOR normal with 1 vote (vote)
Target Milestone: ---
Assignee: Unassigned bugs mailing-list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-01 13:06 UTC by Dmitry Ivanov
Modified: 2011-02-21 17:02 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Ivanov 2005-05-01 13:06:55 UTC
Version:           3.4.0 (using KDE KDE 3.4.0)
Installed from:    Slackware Packages
OS:                Linux

Konqueror ignores cache-control: max-age in "Keep cache in sync" mode. When HTTP server provides "cache-control: max-age=60" header, client should not request document earlier than 60 sec. unless page reload requested (F5). Konqueror requests document every time I visit page.

For example, Links and Firefox behave correctly requesting document only once in 60 sec.

Test page:

http://www.solutions.lv/~dimss/
http://www.solutions.lv/~dimss/2005-04/28-01porusski.art
Comment 1 Andrea Di Menna 2008-04-11 23:57:35 UTC
I'm seeing this too. And it seems this reflects in Webkit/Safari as well.

I'm using this web page for testing purposes

http://thetests.altervista.org/max-age10.php

Sorry it's in Italian.
Just repeatedly click on the link: the timestamp should not be updated and the page should be fetched from the cache.
Comment 2 Dawit Alemayehu 2011-02-21 17:02:21 UTC
Git commit e1eb60c51fbb6be5e1d65d7408b50b9e2883038c by Dawit Alemayehu.
Committed on 21/02/2011 at 16:57.
Pushed by adawit into branch 'master'.

When cache mode is CC_Refresh (the default), ensure the expiration date of a cache is
consulated whenever a conditional GET cannot be performed.

Besides fixing bug# 104901, this improves performance by reducing unnecessary fetches
when caching is enabled.

BUG:104901

M  +16   -6    kioslave/http/http.cpp     

http://commits.kde.org/kdelibs/e1eb60c51fbb6be5e1d65d7408b50b9e2883038c